Skip to main content
POST
/
deposits
/
quote
/
{id}
/
execute
cURL
curl --request POST \
  --url https://sandbox.onconsul.com/v1/deposits/quote/{id}/execute \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "destination": {
    "amount": "<string>",
    "min_amount": "<string>"
  },
  "id": "<string>",
  "market_rate": "<string>",
  "source": {
    "amount": "<string>",
    "account_id": "<string>"
  },
  "failure_reason": "<string>",
  "fee": {
    "flat_fee": "<string>",
    "percentage_fee": "<string>"
  },
  "fiat_transfer_instructions": {
    "ars_transfers_3_0_transfer_instructions": {
      "account_number": "<string>",
      "allowed_tax_id": "<string>"
    },
    "brl_pix_transfer_instructions": {
      "pix_code": "<string>"
    },
    "cop_pse_transfer_instructions": {
      "bank_account": "<string>",
      "bank_code": "<string>",
      "beneficiary_name": "<string>"
    },
    "mxn_spei_transfer_instructions": {
      "beneficiary_name": "<string>",
      "spei_clabe": "<string>",
      "bank_name": "<string>",
      "transfer_memo": "<string>"
    },
    "usd_ach_transfer_instructions": {
      "account_number": "<string>",
      "bank_name": "<string>",
      "beneficiary_address": "<string>",
      "beneficiary_name": "<string>",
      "routing_number": "<string>",
      "transfer_memo": "<string>"
    },
    "usd_fedwire_transfer_instructions": {
      "account_number": "<string>",
      "bank_name": "<string>",
      "beneficiary_address": "<string>",
      "beneficiary_name": "<string>",
      "routing_number": "<string>",
      "transfer_memo": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.onconsul.com/llms.txt

Use this file to discover all available pages before exploring further.

Lock in a previously created quote and initiate the fiat-to-USDC transfer. The response includes transfer instructions (e.g. wire details or PIX code) needed to complete the deposit.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OK

created_at
string<date-time>
required
destination
object
required
id
string
required
market_rate
string<decimal>
required
source
object
required
status
enum<string>
required
Available options:
queued,
awaiting_transfer,
processing,
completed,
failed,
cancelled,
expired,
pending_claim
failure_reason
string
fee
object
fiat_transfer_instructions
object